package org.rcisoft.sys.user.service;


import org.rcisoft.common.model.GridModel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.sys.menu.entity.SysMenu;
import org.rcisoft.sys.user.bean.CurUser;
import org.rcisoft.sys.user.dto.QuerySysUserDTO;
import org.rcisoft.sys.user.entity.SysUser;

import java.util.List;

public interface SysUserService {


    void updateUser(SysUser user, String uid, int line);

    String checkPassword(String userId);


    List<SysUser> queryUsersByPagination(PageUtil pageUtil, QuerySysUserDTO dto);

    int removeUser(String id);

    int AssignRoles(String userId,String roleId);

    int stopOrStartUserByUserBusinessId(String businessId);

    int stopUserByUserBusinessId(String businessId);

    int startUserByUserBusinessId(String businessId);

    List<SysMenu> queryUserMenus(CurUser user);
}
